<?php

declare(strict_types=1);

namespace Api\Dictionary\Enum;

use Api\Support\AbstractEnum;

/**
 * Class DialPlanSetKeysEnum
 */
class DialPlanSetKeysEnum extends AbstractEnum {
    public const TAGS                   = 'tags';
    public const LANGUAGE               = 'language';
    public const SRTP_SECURITY          = 'srtp_security';
    public const DIRECTRTP              = 'directrtp';
    public const CODECS                 = 'sip_codecs';
    public const MUSIC_ON_HOLD          = 'mohclass';
    public const RINGTONE               = 'ringtone';
    public const TYPE_OF_CALL           = 'calltype';
    public const CALLER_NAME            = 'cidname';
    public const CALLER_NUMBER          = 'cidnumber';
    public const CALLER_NUMBER_ON_TRUNK = 'trunk_caller_num';
    public const TIMEOUT                = 'timeout';
    public const ITC                    = 'itc';
    public const SERVICE                = 'service';

    /**
     * Array keys
     *
     * @var array
     */
    protected static $_enums = [
        'dialplan.setKeys.tags'              => self::TAGS,
        'dialplan.setKeys.language'          => self::LANGUAGE,
        'dialplan.setKeys.srtp_security'     => self::SRTP_SECURITY,
        'dialplan.setKeys.directRTP'         => self::DIRECTRTP,
        'dialplan.setKeys.codecs'            => self::CODECS,
        'dialplan.setKeys.mohclass'          => self::MUSIC_ON_HOLD,
        'dialplan.setKeys.ringtone'          => self::RINGTONE,
        'dialplan.setKeys.callType'          => self::TYPE_OF_CALL,
        'dialplan.setKeys.cidname'           => self::CALLER_NAME,
        'dialplan.setKeys.cidnumber'         => self::CALLER_NUMBER,
        'dialplan.setKeys.trunk_caller_num'  => self::CALLER_NUMBER_ON_TRUNK,
        'dialplan.setKeys.timeout'           => self::TIMEOUT,
        'dialplan.setKeys.itc'               => self::ITC,
        'dialplan.setKeys.service'           => self::SERVICE,
    ];
}
