<?php
declare(strict_types=1);

namespace Api\Dictionary\Services;

use Api\Dictionary\Interfaces\DialplanRulesRepositoryInterface;
use Api\Translation\Interfaces\TranslationStrategyInterface;
use Wildix\DependencyInjection\ConfigInterface;
use Wildix\DependencyInjection\Container;
use WMS_Ldap;

/**
 * Class DiConfig
 */
class DiConfig implements ConfigInterface {

    public static function configure(Container $container): void {
        $container->singleton(
            DictionaryService::class,
            function () use ($container) {
                return new DictionaryService(
                    $container->get(DialplanRulesRepositoryInterface::class),
                    $container->get(WMS_Ldap::class),
                    $container->get(TranslationStrategyInterface::class)
                );
            }
        );
    }
}
